Index: /pjproject/trunk/pjlib/src/pj/os_info.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/os_info.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/os_info.c	(revision 4537)
@@ -72,5 +72,5 @@
 static char *ver_info(pj_uint32_t ver, char *buf)
 {
-    int len;
+    pj_size_t len;
 
     if (ver == 0) {
@@ -126,5 +126,5 @@
     static pj_sys_info si;
     static pj_bool_t si_initialized;
-    unsigned left = PJ_SYS_INFO_BUFFER_SIZE, len;
+    pj_size_t left = PJ_SYS_INFO_BUFFER_SIZE, len;
 
     if (si_initialized)
Index: /pjproject/trunk/pjlib/src/pj/pool.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/pool.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/pool.c	(revision 4537)
@@ -32,6 +32,6 @@
 #endif
 
-#define LOG(expr)   			PJ_LOG(6,expr)
-#define ALIGN_PTR(PTR,ALIGNMENT)	(PTR + (-(long)(PTR) & (ALIGNMENT-1)))
+#define LOG(expr)   		    PJ_LOG(6,expr)
+#define ALIGN_PTR(PTR,ALIGNMENT)    (PTR + (-(pj_ssize_t)(PTR) & (ALIGNMENT-1)))
 
 PJ_DEF_DATA(int) PJ_NO_MEMORY_EXCEPTION;
@@ -93,5 +93,5 @@
     pj_pool_block *block = pool->block_list.next;
     void *p;
-    unsigned block_size;
+    pj_size_t block_size;
 
     PJ_CHECK_STACK();
Index: /pjproject/trunk/pjlib/src/pj/pool_buf.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/pool_buf.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/pool_buf.c	(revision 4537)
@@ -84,5 +84,5 @@
 #if PJ_HAS_POOL_ALT_API == 0
     struct creation_param param;
-    long align_diff;
+    pj_size_t align_diff;
 
     PJ_ASSERT_RETURN(buf && size, NULL);
@@ -95,5 +95,5 @@
 
     /* Check and align buffer */
-    align_diff = (long)buf;
+    align_diff = (pj_size_t)buf;
     if (align_diff & (PJ_POOL_ALIGNMENT-1)) {
 	align_diff &= (PJ_POOL_ALIGNMENT-1);
Index: /pjproject/trunk/pjlib/src/pj/pool_caching.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/pool_caching.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/pool_caching.c	(revision 4537)
@@ -192,5 +192,5 @@
 
     /* Mark factory data */
-    pool->factory_data = (void*) (long) idx;
+    pool->factory_data = (void*) (pj_ssize_t) idx;
 
     /* Increment used count. */
@@ -252,5 +252,5 @@
      * Otherwise put the pool in our recycle list.
      */
-    i = (unsigned) (unsigned long) pool->factory_data;
+    i = (unsigned) (unsigned long) (pj_ssize_t) pool->factory_data;
 
     pj_assert(i<PJ_CACHING_POOL_ARRAY_SIZE);
@@ -280,8 +280,8 @@
     if (detail) {
 	pj_pool_t *pool = (pj_pool_t*) cp->used_list.next;
-	pj_uint32_t total_used = 0, total_capacity = 0;
+	pj_size_t total_used = 0, total_capacity = 0;
         PJ_LOG(3,("cachpool", "  Dumping all active pools:"));
 	while (pool != (void*)&cp->used_list) {
-	    unsigned pool_capacity = pj_pool_get_capacity(pool);
+	    pj_size_t pool_capacity = pj_pool_get_capacity(pool);
 	    PJ_LOG(3,("cachpool", "   %16s: %8d of %8d (%d%%) used", 
 				  pj_pool_getobjname(pool), 
Index: /pjproject/trunk/pjlib/src/pj/pool_dbg.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/pool_dbg.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/pool_dbg.c	(revision 4537)
@@ -33,6 +33,7 @@
 
 
-#if defined(PJ_WIN32) && PJ_WIN32!=0 && defined(PJ_DEBUG) && PJ_DEBUG!=0 \
-    && !PJ_NATIVE_STRING_IS_UNICODE
+#if ((defined(PJ_WIN32) && PJ_WIN32!=0) || \
+     (defined(PJ_WIN64) && PJ_WIN64 != 0)) && \
+     defined(PJ_DEBUG) && PJ_DEBUG!=0 && !PJ_NATIVE_STRING_IS_UNICODE
 #   include <windows.h>
 #   define TRACE_(msg)	OutputDebugString(msg)
Index: /pjproject/trunk/pjlib/src/pj/sock_bsd.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/sock_bsd.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/sock_bsd.c	(revision 4537)
@@ -61,5 +61,5 @@
 #ifdef SOL_IP
 const pj_uint16_t PJ_SOL_IP	= SOL_IP;
-#elif defined(PJ_WIN32) && PJ_WIN32
+#elif (defined(PJ_WIN32) && PJ_WIN32) || (defined(PJ_WIN64) && PJ_WIN64) 
 const pj_uint16_t PJ_SOL_IP	= IPPROTO_IP;
 #else
@@ -71,5 +71,5 @@
 #elif defined(IPPROTO_TCP)
 const pj_uint16_t PJ_SOL_TCP	= IPPROTO_TCP;
-#elif defined(PJ_WIN32) && PJ_WIN32
+#elif (defined(PJ_WIN32) && PJ_WIN32) || (defined(PJ_WIN64) && PJ_WIN64)
 const pj_uint16_t PJ_SOL_TCP	= IPPROTO_TCP;
 #else
@@ -81,5 +81,5 @@
 #elif defined(IPPROTO_UDP)
 const pj_uint16_t PJ_SOL_UDP	= IPPROTO_UDP;
-#elif defined(PJ_WIN32) && PJ_WIN32
+#elif (defined(PJ_WIN32) && PJ_WIN32) || (defined(PJ_WIN64) && PJ_WIN64)
 const pj_uint16_t PJ_SOL_UDP	= IPPROTO_UDP;
 #else
@@ -89,5 +89,5 @@
 #ifdef SOL_IPV6
 const pj_uint16_t PJ_SOL_IPV6	= SOL_IPV6;
-#elif defined(PJ_WIN32) && PJ_WIN32
+#elif (defined(PJ_WIN32) && PJ_WIN32) || (defined(PJ_WIN64) && PJ_WIN64)
 #   if defined(IPPROTO_IPV6) || (_WIN32_WINNT >= 0x0501)
 	const pj_uint16_t PJ_SOL_IPV6	= IPPROTO_IPV6;
@@ -305,5 +305,5 @@
     return PJ_SUCCESS;
 
-#elif defined(PJ_WIN32) || defined(PJ_WIN32_WINCE)
+#elif defined(PJ_WIN32) || defined(PJ_WIN64) || defined(PJ_WIN32_WINCE)
     /*
      * Implementation on Windows, using WSAStringToAddress().
@@ -379,5 +379,5 @@
     return PJ_SUCCESS;
 
-#elif defined(PJ_WIN32) || defined(PJ_WIN32_WINCE)
+#elif defined(PJ_WIN32) || defined(PJ_WIN64) || defined(PJ_WIN32_WINCE)
     /*
      * Implementation on Windows, using WSAAddressToString().
@@ -462,5 +462,5 @@
 }
 
-#if defined(PJ_WIN32)
+#if defined(PJ_WIN32) || defined(PJ_WIN64)
 /*
  * Create new socket/endpoint for communication and returns a descriptor.
@@ -475,5 +475,5 @@
     /* Sanity checks. */
     PJ_ASSERT_RETURN(sock!=NULL, PJ_EINVAL);
-    PJ_ASSERT_RETURN((unsigned)PJ_INVALID_SOCKET==INVALID_SOCKET, 
+    PJ_ASSERT_RETURN((SOCKET)PJ_INVALID_SOCKET==INVALID_SOCKET, 
                      (*sock=PJ_INVALID_SOCKET, PJ_EINVAL));
 
@@ -600,4 +600,5 @@
     PJ_CHECK_STACK();
 #if defined(PJ_WIN32) && PJ_WIN32!=0 || \
+    defined(PJ_WIN64) && PJ_WIN64 != 0 || \
     defined(PJ_WIN32_WINCE) && PJ_WIN32_WINCE!=0
     rc = closesocket(sock);
@@ -660,5 +661,5 @@
 #endif
 
-    *len = send(sock, (const char*)buf, *len, flags);
+    *len = send(sock, (const char*)buf, (int)(*len), flags);
 
     if (*len < 0)
@@ -684,5 +685,5 @@
     CHECK_ADDR_LEN(to, tolen);
 
-    *len = sendto(sock, (const char*)buf, *len, flags, 
+    *len = sendto(sock, (const char*)buf, (int)(*len), flags, 
 		  (const struct sockaddr*)to, tolen);
 
@@ -704,5 +705,5 @@
     PJ_ASSERT_RETURN(buf && len, PJ_EINVAL);
 
-    *len = recv(sock, (char*)buf, *len, flags);
+    *len = recv(sock, (char*)buf, (int)(*len), flags);
 
     if (*len < 0) 
@@ -725,5 +726,5 @@
     PJ_ASSERT_RETURN(buf && len, PJ_EINVAL);
 
-    *len = recvfrom(sock, (char*)buf, *len, flags, 
+    *len = recvfrom(sock, (char*)buf, (int)(*len), flags, 
 		    (struct sockaddr*)from, (socklen_t*)fromlen);
 
Index: /pjproject/trunk/pjlib/src/pj/ssl_sock_ossl.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/ssl_sock_ossl.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/ssl_sock_ossl.c	(revision 4537)
@@ -381,5 +381,5 @@
     
     pj_memcpy(buf, cert->privkey_pass.ptr, cert->privkey_pass.slen);
-    return cert->privkey_pass.slen;
+    return (int)cert->privkey_pass.slen;
 }
 
@@ -988,5 +988,5 @@
 
 	    /* Workaround for ticket #985 */
-#if defined(PJ_WIN32) && PJ_WIN32!=0
+#if (defined(PJ_WIN32) && PJ_WIN32!=0) || (defined(PJ_WIN64) && PJ_WIN64!=0)
 	    if (ssock->param.timer_heap) {
 		pj_time_val interval = {0, DELAYED_CLOSE_TIMEOUT};
@@ -1131,5 +1131,5 @@
 	} else {
 	    /* Overlapped */
-	    unsigned right_len, left_len;
+	    pj_size_t right_len, left_len;
 	    right_len = buf->buf + buf->max_len - (char*)wdata;
 	    left_len  = (char*)wdata->next - buf->buf;
@@ -1139,5 +1139,5 @@
 	/* This is the last data, just adjust the buffer length */
 	if (wdata->prev < wdata) {
-	    unsigned jump_len;
+	    pj_size_t jump_len;
 	    jump_len = (char*)wdata -
 		       ((char*)wdata->prev + wdata->prev->record_len);
@@ -1145,5 +1145,5 @@
 	} else {
 	    /* Overlapped */
-	    unsigned right_len, left_len;
+	    pj_size_t right_len, left_len;
 	    right_len = buf->buf + buf->max_len -
 			((char*)wdata->prev + wdata->prev->record_len);
@@ -1388,5 +1388,5 @@
     if (data && size > 0) {
 	/* Consume the whole data */
-	nwritten = BIO_write(ssock->ossl_rbio, data, size);
+	nwritten = BIO_write(ssock->ossl_rbio, data, (int)size);
 	if (nwritten < size) {
 	    status = GET_SSL_STATUS(ssock);
@@ -1414,5 +1414,5 @@
 	    read_data_t *buf = *(OFFSET_OF_READ_DATA_PTR(ssock, data));
 	    void *data_ = (pj_int8_t*)buf->data + buf->len;
-	    int size_ = ssock->read_size - buf->len;
+	    int size_ = (int)(ssock->read_size - buf->len);
 
 	    /* SSL_read() may write some data to BIO write when re-negotiation
@@ -1456,5 +1456,5 @@
 	    } else {
 
-		int err = SSL_get_error(ssock->ossl_ssl, size);
+		int err = SSL_get_error(ssock->ossl_ssl, (int)size);
 		
 		/* SSL might just return SSL_ERROR_WANT_READ in 
@@ -1664,5 +1664,5 @@
     /* Start read */
     status = pj_activesock_start_read2(ssock->asock, ssock->pool, 
-				       ssock->param.read_buffer_size,
+				       (unsigned)ssock->param.read_buffer_size,
 				       ssock->asock_rbuf,
 				       PJ_IOQUEUE_ALWAYS_ASYNC);
@@ -1743,5 +1743,5 @@
     /* Start read */
     status = pj_activesock_start_read2(ssock->asock, ssock->pool, 
-				       ssock->param.read_buffer_size,
+				       (unsigned)ssock->param.read_buffer_size,
 				       ssock->asock_rbuf,
 				       PJ_IOQUEUE_ALWAYS_ASYNC);
@@ -2181,5 +2181,5 @@
      */
     pj_lock_acquire(ssock->write_mutex);
-    nwritten = SSL_write(ssock->ossl_ssl, data, size);
+    nwritten = SSL_write(ssock->ossl_ssl, data, (int)size);
     pj_lock_release(ssock->write_mutex);
     
Index: /pjproject/trunk/pjlib/src/pj/string.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/string.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/string.c	(revision 4537)
@@ -195,5 +195,5 @@
     } while (val > 0);
 
-    len = p-buf;
+    len = (int)(p-buf);
     while (len < min_dig) {
 	*p++ = (char)pad;
Index: /pjproject/trunk/pjlib/src/pj/timer.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/timer.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/timer.c	(revision 4537)
@@ -125,5 +125,6 @@
 
 
-static void copy_node( pj_timer_heap_t *ht, int slot, pj_timer_entry *moved_node )
+static void copy_node( pj_timer_heap_t *ht, pj_size_t slot, 
+		       pj_timer_entry *moved_node )
 {
     PJ_CHECK_STACK();
@@ -133,5 +134,5 @@
     
     // Update the corresponding slot in the parallel <timer_ids_> array.
-    ht->timer_ids[moved_node->_timer_id] = slot;
+    ht->timer_ids[moved_node->_timer_id] = (int)slot;
 }
 
@@ -236,5 +237,5 @@
     if (slot < ht->cur_size)
     {
-	int parent;
+	pj_size_t parent;
 	pj_timer_entry *moved_node = ht->heap[ht->cur_size];
 	
Index: /pjproject/trunk/pjlib/src/pj/unicode_win32.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/unicode_win32.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pj/unicode_win32.c	(revision 4537)
@@ -24,6 +24,6 @@
 
 
-PJ_DEF(wchar_t*) pj_ansi_to_unicode(const char *s, pj_size_t len,
-				    wchar_t *buf, pj_size_t buf_count)
+PJ_DEF(wchar_t*) pj_ansi_to_unicode(const char *s, int len,
+				    wchar_t *buf, int buf_count)
 {
     PJ_ASSERT_RETURN(s && buf, NULL);
@@ -42,10 +42,11 @@
 
 
-PJ_DEF(char*) pj_unicode_to_ansi( const wchar_t *wstr, pj_size_t len,
-				  char *buf, pj_size_t buf_size)
+PJ_DEF(char*) pj_unicode_to_ansi( const wchar_t *wstr, pj_ssize_t len,
+				  char *buf, int buf_size)
 {
     PJ_ASSERT_RETURN(wstr && buf, NULL);
 
-    len = WideCharToMultiByte(CP_ACP, 0, wstr, len, buf, buf_size, NULL, NULL);
+    len = WideCharToMultiByte(CP_ACP, 0, wstr, (int)len, buf, buf_size, 
+			      NULL, NULL);
     if (buf_size) {
 	if (len < buf_size)
Index: /pjproject/trunk/pjlib/src/pjlib-test/errno.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/errno.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/errno.c	(revision 4537)
@@ -29,5 +29,6 @@
 #define THIS_FILE   "errno"
 
-#if defined(PJ_WIN32) && PJ_WIN32 != 0
+#if (defined(PJ_WIN32) && PJ_WIN32 != 0) || \
+    (defined(PJ_WIN64) && PJ_WIN64 != 0)
 #   include <windows.h>
 #endif
@@ -60,5 +61,5 @@
 const char *my_stristr(const char *whole, const char *part)
 {
-    int part_len = strlen(part);
+    int part_len = (int)strlen(part);
     while (*whole) {
         if (my_strncasecmp(whole, part, part_len) == 0)
Index: /pjproject/trunk/pjlib/src/pjlib-test/ioq_perf.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/ioq_perf.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/ioq_perf.c	(revision 4537)
@@ -85,5 +85,5 @@
 
         if (bytes_read < 0) {
-            pj_status_t rc = -bytes_read;
+            pj_status_t rc = (pj_status_t)-bytes_read;
             char errmsg[PJ_ERR_MSG_SIZE];
 
@@ -425,5 +425,5 @@
     total_received = 0;
     for (i=0; i<sockpair_cnt; ++i) {
-        total_received = items[i].bytes_recv;
+        total_received = (pj_uint32_t)items[i].bytes_recv;
     }
 
Index: /pjproject/trunk/pjlib/src/pjlib-test/ioq_tcp.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/ioq_tcp.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/ioq_tcp.c	(revision 4537)
@@ -254,6 +254,6 @@
     pj_ioqueue_op_key_t accept_op;
     int bufsize = BUF_MIN_SIZE;
-    pj_ssize_t status = -1;
-    int pending_op = 0;
+    int status = -1;
+    pj_ssize_t pending_op = 0;
     pj_timestamp t_elapsed;
     pj_str_t s;
@@ -468,5 +468,5 @@
 	pj_ioqueue_destroy(ioque);
     pj_pool_release(pool);
-    return status;
+    return (int)status;
 
 }
@@ -483,5 +483,5 @@
     pj_ioqueue_t *ioque = NULL;
     pj_ioqueue_key_t *ckey1 = NULL;
-    pj_ssize_t status = -1;
+    int status = -1;
     int pending_op = 0;
     pj_str_t s;
@@ -641,5 +641,5 @@
     pj_ioqueue_t *ioque = NULL;
     int i, bufsize = BUF_MIN_SIZE;
-    pj_ssize_t status;
+    int status;
     int test_loop, pending_op = 0;
     pj_timestamp t_elapsed;
Index: /pjproject/trunk/pjlib/src/pjlib-test/ioq_udp.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/ioq_udp.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/ioq_udp.c	(revision 4537)
@@ -116,5 +116,5 @@
 };
 
-#ifdef PJ_WIN32
+#if defined(PJ_WIN32) || defined(PJ_WIN64)
 #  define S_ADDR S_un.S_addr
 #else
@@ -138,5 +138,6 @@
     pj_ioqueue_op_key_t read_op, write_op;
     int bufsize = BUF_MIN_SIZE;
-    pj_ssize_t bytes, status = -1;
+    pj_ssize_t bytes;
+    int status = -1;
     pj_str_t temp;
     pj_bool_t send_pending, recv_pending;
@@ -769,5 +770,5 @@
 	if (rc == PJ_SUCCESS) {
 	    if (bytes < 0) {
-		app_perror("...error: pj_ioqueue_sendto()", -bytes);
+		app_perror("...error: pj_ioqueue_sendto()",(pj_status_t)-bytes);
 		break;
 	    }
Index: /pjproject/trunk/pjlib/src/pjlib-test/ioq_unreg.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/ioq_unreg.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/ioq_unreg.c	(revision 4537)
@@ -59,5 +59,5 @@
     pj_size_t		 bufsize;
     pj_bool_t		 unregistered;
-    unsigned		 received;
+    pj_ssize_t		 received;
 } sock_data;
 
@@ -82,5 +82,5 @@
     if (bytes_read < 0) {
 	if (-bytes_read != PJ_STATUS_FROM_OS(PJ_BLOCKING_ERROR_VAL))
-	    app_perror("ioqueue reported recv error", -bytes_read);
+	    app_perror("ioqueue reported recv error", (pj_status_t)-bytes_read);
     } else {
 	sock_data.received += bytes_read;
Index: /pjproject/trunk/pjlib/src/pjlib-test/list.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/list.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/list.c	(revision 4537)
@@ -58,5 +58,5 @@
 {
     list_node *node = (list_node*)nd;
-    return ((long)value == node->value) ? 0 : -1;
+    return ((long)(pj_ssize_t)value == node->value) ? 0 : -1;
 }
 
@@ -208,5 +208,6 @@
 	    return -1;
 	}
-	p = (list_node*) pj_list_search(&list, (void*)(long)i, &compare_node);
+	p = (list_node*) pj_list_search(&list, (void*)(pj_ssize_t)i, 
+					&compare_node);
 	pj_assert( p == &nodes[i] );
 	if (p != &nodes[i]) {
Index: /pjproject/trunk/pjlib/src/pjlib-test/pool.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/pool.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/pool.c	(revision 4537)
@@ -94,5 +94,6 @@
 	return -300;
 
-#define IS_ALIGNED(p)	((((unsigned long)p) & (PJ_POOL_ALIGNMENT-1)) == 0)
+#define IS_ALIGNED(p)	((((unsigned long)(pj_ssize_t)p) & \
+			   (PJ_POOL_ALIGNMENT-1)) == 0)
 
     for (i=0; i<LOOP; ++i) {
@@ -196,5 +197,5 @@
 		   ~(PJ_POOL_ALIGNMENT - 1);
 	else
-	    size = freesize;
+	    size = (int)freesize;
 
 	p = pj_pool_alloc(pool, size);
Index: /pjproject/trunk/pjlib/src/pjlib-test/sock_perf.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/sock_perf.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/sock_perf.c	(revision 4537)
@@ -45,5 +45,5 @@
  */
 static int sock_producer_consumer(int sock_type,
-                                  unsigned buf_size,
+                                  pj_size_t buf_size,
                                   unsigned loop, 
                                   unsigned *p_bandwidth)
@@ -55,5 +55,5 @@
     unsigned i;
     pj_highprec_t elapsed, bandwidth;
-    pj_size_t total_received;
+    pj_highprec_t total_received;
     pj_status_t rc;
 
Index: /pjproject/trunk/pjlib/src/pjlib-test/ssl_sock.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/ssl_sock.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/ssl_sock.c	(revision 4537)
@@ -74,10 +74,10 @@
     pj_bool_t	    echo;	    /* echo received data		    */
     pj_status_t	    err;	    /* error flag			    */
-    unsigned	    sent;	    /* bytes sent			    */
-    unsigned	    recv;	    /* bytes received			    */
+    pj_size_t	    sent;	    /* bytes sent			    */
+    pj_size_t	    recv;	    /* bytes received			    */
     pj_uint8_t	    read_buf[256];  /* read buffer			    */
     pj_bool_t	    done;	    /* test done flag			    */
     char	   *send_str;	    /* data to send once connected	    */
-    unsigned	    send_str_len;   /* send data length			    */
+    pj_size_t	    send_str_len;   /* send data length			    */
     pj_bool_t	    check_echo;	    /* flag to compare sent & echoed data   */
     const char	   *check_echo_ptr; /* pointer/cursor for comparing data    */
@@ -364,5 +364,5 @@
 
     if (sent < 0) {
-	st->err = -sent;
+	st->err = (pj_status_t)-sent;
     } else {
 	st->sent += sent;
@@ -1114,5 +1114,6 @@
     pj_ssl_cert_t *cert = NULL;
     pj_status_t status;
-    unsigned i, cli_err = 0, tot_sent = 0, tot_recv = 0;
+    unsigned i, cli_err = 0;
+    pj_size_t tot_sent = 0, tot_recv = 0;
     pj_time_val start;
 
Index: /pjproject/trunk/pjlib/src/pjlib-test/timer.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/timer.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/timer.c	(revision 4537)
@@ -60,5 +60,6 @@
     pj_time_val delay;
     pj_status_t rc;    int err=0;
-    unsigned size, count;
+    pj_size_t size;
+    unsigned count;
 
     size = pj_timer_heap_mem_size(MAX_COUNT)+MAX_COUNT*sizeof(pj_timer_entry);
Index: /pjproject/trunk/pjlib/src/pjlib-test/udp_echo_srv_ioqueue.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/udp_echo_srv_ioqueue.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/udp_echo_srv_ioqueue.c	(revision 4537)
@@ -50,11 +50,11 @@
         if (bytes_received < 0) {
             if (-bytes_received != recv_rec->last_err) {
-                recv_rec->last_err = -bytes_received;
-                app_perror("...error receiving data", -bytes_received);
+                recv_rec->last_err = (pj_status_t)-bytes_received;
+                app_perror("...error receiving data", recv_rec->last_err);
             }
         } else if (bytes_received == 0) {
             /* note: previous error, or write callback */
         } else {
-            pj_atomic_add(total_bytes, bytes_received);
+            pj_atomic_add(total_bytes, (pj_atomic_value_t)bytes_received);
 
             if (!send_rec->is_pending) {
@@ -107,5 +107,5 @@
 
     if (bytes_sent <= 0) {
-        pj_status_t rc = -bytes_sent;
+        pj_status_t rc = (pj_status_t)-bytes_sent;
         if (rc != send_rec->last_err) {
             send_rec->last_err = rc;
Index: /pjproject/trunk/pjlib/src/pjlib-test/udp_echo_srv_sync.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/udp_echo_srv_sync.c	(revision 4536)
+++ /pjproject/trunk/pjlib/src/pjlib-test/udp_echo_srv_sync.c	(revision 4537)
@@ -47,5 +47,5 @@
         }
 
-        pj_atomic_add(total_bytes, len);
+	pj_atomic_add(total_bytes, (pj_atomic_value_t)len);
 
         rc = pj_sock_sendto(sock, buf, &len, 0, &addr, addrlen);
